Bug 211635 - fence_xvm agent requries libvirt and SaCkpt (openais), but should not
fence_xvm agent requries libvirt and SaCkpt (openais), but should not
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-20 11:33 EDT by Lon Hohberger
Modified: 2009-07-22 15:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:31:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes build problems. (1.20 KB, patch)
2006-10-20 11:33 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2006-10-20 11:33:46 EDT
Description of problem:

Fence_xvm should not require any virtualization or cluster APIs to build nor any
libraries to run.

The current build prevents use by RHCS4/GFS6.1 and RHGFS6.0 guests as a fencing
agent, which was a design goal.  It also prevents use by RHCS5 virtualization
guests without installation of libvirt.
Comment 1 Lon Hohberger 2006-10-20 11:33:46 EDT
Created attachment 138992 [details]
Fixes build problems.
Comment 3 RHEL Product and Program Management 2006-10-26 18:00:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 RHEL Product and Program Management 2006-12-22 20:31:45 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.
Comment 5 Nate Straz 2007-12-13 12:22:00 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.